import { ColumnDef } from '@tanstack/react-table';
import { ReactNode } from 'react';

export type ActionColumnProps<T> = {
    header?: string;
    onEditClick?: (value: T) => void;
    editIconSize?: number;
    onDeleteClick?: (value: T) => void;
    deleteIconSize?: number;
    otherActions?: {
        icon: ReactNode;
        onClick: (value: T) => void;
        toolTip: string;
    }[];
    placement?: "left" | "right" | "center";
};
export declare function ActionColumn<T>({ header, placement, ...rest }: ActionColumnProps<T>): ColumnDef<T>;
//# sourceMappingURL=action-column.d.ts.map