import { Control, FieldValues, Path } from 'react-hook-form';

export interface FormInputProps<TFieldValues extends FieldValues = FieldValues, TContext = any> {
    control: Control<TFieldValues, TContext>;
    name: Path<TFieldValues>;
    label: string;
    description?: string | undefined;
    disabled?: boolean;
    className?: string | undefined;
}
interface Props<TFieldValues extends FieldValues = FieldValues, TContext = any> extends FormInputProps<TFieldValues, TContext> {
    placeholder: string;
    type?: string | undefined;
}
declare const TextInput: <TFieldValues extends FieldValues = FieldValues, TContext = any>({ control, name, label, placeholder, description, disabled, type, className, }: Props<TFieldValues, TContext>) => import("react/jsx-runtime").JSX.Element;
export { TextInput };
//# sourceMappingURL=text-input.d.ts.map