import { j as a } from "./index.es73.js";
import * as r from "react";
import * as e from "@radix-ui/react-dropdown-menu";
import { ChevronRightIcon as l, CheckIcon as c, DotFilledIcon as m } from "@radix-ui/react-icons";
import { cn as d } from "./index.es72.js";
const M = e.Root, R = e.Trigger, I = e.Group, v = e.Portal, S = e.Sub, C = e.RadioGroup, p = r.forwardRef(({ className: t, inset: o, children: n, ...s }, i) => /* @__PURE__ */ a.jsxs(
  e.SubTrigger,
  {
    ref: i,
    className: d(
      "flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-accent data-[state=open]:bg-accent",
      o && "pl-8",
      t
    ),
    ...s,
    children: [
      n,
      /* @__PURE__ */ a.jsx(l, { className: "ml-auto h-4 w-4" })
    ]
  }
));
p.displayName = e.SubTrigger.displayName;
const u = r.forwardRef(({ className: t, ...o }, n) => /* @__PURE__ */ a.jsx(
  e.SubContent,
  {
    ref: n,
    className: d(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      t
    ),
    ...o
  }
));
u.displayName = e.SubContent.displayName;
const f = r.forwardRef(({ className: t, sideOffset: o = 4, ...n }, s) => /* @__PURE__ */ a.jsx(e.Portal, { children: /* @__PURE__ */ a.jsx(
  e.Content,
  {
    ref: s,
    sideOffset: o,
    className: d(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-md",
      "data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      t
    ),
    ...n
  }
) }));
f.displayName = e.Content.displayName;
const x = r.forwardRef(({ className: t, inset: o, ...n }, s) => /* @__PURE__ */ a.jsx(
  e.Item,
  {
    ref: s,
    className: d(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      o && "pl-8",
      t
    ),
    ...n
  }
));
x.displayName = e.Item.displayName;
const b = r.forwardRef(({ className: t, children: o, checked: n, ...s }, i) => /* @__PURE__ */ a.jsxs(
  e.CheckboxItem,
  {
    ref: i,
    className: d(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      t
    ),
    checked: n,
    ...s,
    children: [
      /* @__PURE__ */ a.jsx("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ a.jsx(e.ItemIndicator, { children: /* @__PURE__ */ a.jsx(c, { className: "h-4 w-4" }) }) }),
      o
    ]
  }
));
b.displayName = e.CheckboxItem.displayName;
const w = r.forwardRef(({ className: t, children: o, ...n }, s) => /* @__PURE__ */ a.jsxs(
  e.RadioItem,
  {
    ref: s,
    className: d(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      t
    ),
    ...n,
    children: [
      /* @__PURE__ */ a.jsx("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ a.jsx(e.ItemIndicator, { children: /* @__PURE__ */ a.jsx(m, { className: "h-4 w-4 fill-current" }) }) }),
      o
    ]
  }
));
w.displayName = e.RadioItem.displayName;
const N = r.forwardRef(({ className: t, inset: o, ...n }, s) => /* @__PURE__ */ a.jsx(
  e.Label,
  {
    ref: s,
    className: d(
      "px-2 py-1.5 text-sm font-semibold",
      o && "pl-8",
      t
    ),
    ...n
  }
));
N.displayName = e.Label.displayName;
const g = r.forwardRef(({ className: t, ...o }, n) => /* @__PURE__ */ a.jsx(
  e.Separator,
  {
    ref: n,
    className: d("-mx-1 my-1 h-px bg-muted", t),
    ...o
  }
));
g.displayName = e.Separator.displayName;
const h = ({
  className: t,
  ...o
}) => /* @__PURE__ */ a.jsx(
  "span",
  {
    className: d("ml-auto text-xs tracking-widest opacity-60", t),
    ...o
  }
);
h.displayName = "DropdownMenuShortcut";
export {
  M as DropdownMenu,
  b as DropdownMenuCheckboxItem,
  f as DropdownMenuContent,
  I as DropdownMenuGroup,
  x as DropdownMenuItem,
  N as DropdownMenuLabel,
  v as DropdownMenuPortal,
  C as DropdownMenuRadioGroup,
  w as DropdownMenuRadioItem,
  g as DropdownMenuSeparator,
  h as DropdownMenuShortcut,
  S as DropdownMenuSub,
  u as DropdownMenuSubContent,
  p as DropdownMenuSubTrigger,
  R as DropdownMenuTrigger
};
//# sourceMappingURL=index.es18.js.map
